---
title: 'Location: origin'
slug: Web/API/Location/origin
tags:
  - API
  - Location
  - Property
  - Reference
---
<p>{{APIRef("Location")}}</p>

<p><span class="seoSummary">The <strong><code>origin</code></strong> read-only property of the {{domxref("Location")}} interface is a {{domxref("USVString")}} containing the Unicode serialization of the origin of the represented URL</span>; that is:</p>

<ul>
 <li>for URL using the <code>http</code> or <code>https</code>, the scheme followed by <code>'://'</code>, followed by the domain, followed by <code>':'</code>, followed by the port (the default port, <code>80</code> and <code>443</code> respectively, if explicitely specified);</li>
 <li>for URL using <code>file:</code> scheme, the value is browser dependant;</li>
 <li>for URL using the <code>blob:</code> scheme, the origin of the URL following <code>blob:</code>. E.g <code>"blob:https://mozilla.org"</code> will have <code>"https://mozilla.org".</code></li>
</ul>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.origin;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// On this page, returns the origin
var result = window.location.origin; // Returns:'https://developer.mozilla.org'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-location-origin', 'origin')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.origin")}}</p>
